<?php
/**
 * Test for the LoginManager class
 * ===============================
 *
 * This example sets up an authorization system using the LoginManager
 * class. You don't have to use this to use the LiveUser class(es), but
 * this way you don't need to take care of the login-process, storing
 * the user object in a session and more...
 *
 * This example is intended to be used with the DB_Medium Perm driver.
 *
 * @version $Id: area51.php,v 1.4 2003/03/24 18:03:31 krausbn Exp $
 **/
error_reporting(E_ALL);

// right definitions
define('ACCESS', 3);
define('LAUNCH_ATOMIC_BOMB', 4);
define('FLY_ALIEN_SPACE_CRAFT', 5);

require_once 'conf.php';
// Get LoginManager class definition
require_once 'LiveUser/LoginManager.php';

// The error handling stuff is not needed and used only for debugging
// while LiveUser is not yet mature
PEAR::setErrorHandling(PEAR_ERROR_CALLBACK, 'eHandler');

function eHandler($errObj)
{
    echo('<hr><font color=red>'.$errObj->getMessage().':<br>'.$errObj->getUserinfo().'</font><hr>');
}

/**
 * Example callback function on logging in
 */
function testLogin()
{
    header('Location: loginscreen.php?target=coffeemaker.php');
    exit();
} // end func testLogin

// Create new LoginManager object
$LoMa = new LoginManager(getenv('DOCUMENT_ROOT').'/conf.php');
?>
<html>
<head>
<title>Example Area51</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body bgcolor="#FFFFFF">
<h1>Area51</h1>
<p>&nbsp;</p>
<?php
if (!$LoMa->checkRight(ACCESS)) {
    echo '<p>Hey, this is a top secret area. Access denied.</p>';
} else {
    echo '<p>Live long and prosper, <b>'.$LoMa->getHandle().'</b>.</p>';
    echo '<p>You have access at level <b>'.$LoMa->checkRight(ACCESS).'</b></p>';
    echo "<p>Please wait ... checking some rights ...<br>";

    // you can even check multiple rights with one checkright call
    if ($LoMa->checkRight(array(LAUNCH_ATOMIC_BOMB, FLY_ALIEN_SPACE_CRAFT))) {
        echo "OK, you're the boss. Let's take our alien space craft, launch the orbital atomic bombs and kick some ass! ;-)<br>";
        echo "(Ehm, that was just to test our right system ...)";
    } else {
        echo "Don't touch anything!";
    }
}
?>
<p>&nbsp;</p>
<p align="center"><a href="area51.php?logout=1">Logout</a></p>
</body>
</html>