<?php
/**
 * Test for the LoginManager class
 * ===============================
 *
 * This example sets up an authorization system using the LoginManager
 * class. You don't have to use this to use the LiveUser class(es), but
 * this way you don't need to take care of the login-process, storing
 * the user object in a session and more...
 *
 * This example is intended to be used with the DB_Medium Perm driver.
 *
 * @version $Id: coffeemaker.php,v 1.3 2003/03/24 18:03:31 krausbn Exp $
 **/
error_reporting(E_ALL);

// right definitions
define('MAKE_COFFEE', 6);
define('DRINK_COFFEE', 7);

require_once 'conf.php';
// Get LoginManager class definition
require_once 'LiveUser/LoginManager.php';

// The error handling stuff is not needed and used only for debugging
// while LiveUser is not yet mature
PEAR::setErrorHandling(PEAR_ERROR_CALLBACK, 'eHandler');

function eHandler($errObj)
{
    echo('<hr><font color=red>'.$errObj->getMessage().':<br>'.$errObj->getUserinfo().'</font><hr>');
}

/**
 * Example callback function on logging in
 */
function testLogin()
{
    header('Location: loginscreen.php?target=coffeemaker.php');
    exit();
} // end func testLogin

// Create new LoginManager object
$LoMa = new LoginManager(getenv('DOCUMENT_ROOT').'/conf.php');
?>
<html>
<head>
<title>Example Coffeemaker</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body bgcolor="#FFFFFF">
<h1>Welcome in the Coffeemaker section!</h1>
<p>&nbsp;</p>
<?php
if (!$LoMa->checkRight(MAKE_COFFEE) && !$LoMa->checkRight(DRINK_COFFEE)) {
    echo "<p>Sorry, but you don't have any rights in this section</p>";
} else {
    // Okay, he's in. Now let's display some content dependent of
    // his access rights in our application. Let's pretend the current
    // AuthArea of our application is the Coffeemaker section and we won't to
    // know whether to user is allowed to make some coffee
    // (the area is not needed until we won't know whether our user is an area
    // admin).
    if ($LoMa->checkRight(MAKE_COFFEE)) {
        echo "<p>Congrats, you're in the Coffeemaker section and have ";
        echo 'the right to make coffee!</p>';
    } else {
        echo "<p>Your coffee tastes so bad, I won't allow you to make some</p>";
    }

    // You can choose: either you set the area id as second parameter in
    // the checkRight function each time you call it or you set is ones for
    // all further calls.
    $LoMa->setCurrentArea(3);

    // check if the user is allowed to drink coffee. checkRight will return the level.
    if ($LoMa->checkRight(DRINK_COFFEE) == 1) {
        echo '<p>Yey ! You can even drink some coffee (but perhaps you should ask your boss first ;-) ))</p>';
    } elseif ($LoMa->checkRight(DRINK_COFFEE) == 3) {
        echo '<p>Hi '.$LoMa->getHandle().'! Taste this delicious coffee.</p>';
    } else {
        echo '<p>Well, sorry dude, you cannot drink in here</p>';
    }
}
?>
<p>&nbsp;</p>
<p align="center"><a href="coffeemaker.php?logout=1">Logout</a></p>
</body>
</html>