<?php

  define('HTTP_HOST', getenv('HTTP_HOST'));
  define('WEB_ROOT', getenv('DOCUMENT_ROOT'));
  define('EMAIL_WEBMASTER', 'krausbn@php.net');

  // PEAR path
  $tmp = explode('/', WEB_ROOT);
  $tmp[count($tmp)-1] = 'pear';
  ini_set('include_path', implode('/', $tmp));
  unset($tmp);

  error_reporting(E_ALL ^ E_NOTICE);

  function php_error_handler($errno, $errstr, $errfile, $errline)
  {
      include_once 'HTML/Template/IT.php';
      $tpl = new HTML_Template_IT();
      $tpl->loadTemplatefile(WEB_ROOT . '/error-page.tpl.php');

      $tpl->setVariable('error_msg', "<b>$errfile ($errline)</b><br>$errstr");

      $tpl->show();
      exit();
  }
  set_error_handler('php_error_handler');

  require_once 'PEAR.php';

  function pear_error_handler($err_obj)
  {
      $error_string = $err_obj->getMessage() . '<br>' . $err_obj->getUserinfo();
      trigger_error($error_string, E_USER_ERROR);
  }
  PEAR::setErrorHandling(PEAR_ERROR_CALLBACK, 'pear_error_handler');


  function showLoginForm($liveUserObj = false)
  {
      include_once 'HTML/Template/IT.php';
      $tpl = new HTML_Template_IT();
      $tpl->loadTemplatefile(WEB_ROOT . '/loginform.tpl.php');

      $tpl->setVariable('form_action', $_SERVER['PHP_SELF']);

      if (is_object($liveUserObj)) {
          if ($liveUserObj->status) {
              switch ($liveUserObj->status) {
                  case LIVEUSER_AUTH_ISINACTIVE:
                      $tpl->touchBlock('inactive');
                      break;
                  case LIVEUSER_AUTH_IDLED:
                      $tpl->touchBlock('idled');
                      break;
                  case LIVEUSER_AUTH_EXPIRED:
                      $tpl->touchBlock('expired');
                      break;
                  default:
                      $tpl->touchBlock('failure');
                      break;
              }
          }
      }

      $tpl->show();
      exit();
  }


  require_once 'DB.php';

  // Data Source Name (DSN)
  $myDB = array('localhost' => array('host' => 'localhost',
                                     'type' => 'mysql',
                                     'name' => 'test',
                                     'user' => 'root',
                                     'pwd'  => 'root')
               );


  $dsn = $myDB[HTTP_HOST]['type'] . '://' .
         $myDB[HTTP_HOST]['user'] . ':'   .
         $myDB[HTTP_HOST]['pwd']  . '@'   .
         $myDB[HTTP_HOST]['host'] . '/'   .
         $myDB[HTTP_HOST]['name'];

  $db = DB::connect($dsn, TRUE);
  $db->setFetchMode(DB_FETCHMODE_ASSOC);


  require_once 'HTML/Template/IT.php';
  $tpl = new HTML_Template_IT();


  require_once 'LiveUser/LoginManager.php';
  $LoMa = new LoginManager();

  $LoMa->allowCookies      = true;
  $LoMa->cookieDomain      = HTTP_HOST;
  $LoMa->forceLogin        = true;
  $LoMa->loginFunction     = 'showLoginForm';
  $LoMa->authContainers[0] = array('type'         => 'DB',
                                   'connection'   => $db,
                                   'loginTimeout' => 0,
                                   'expireTime'   => 3600,
                                   'idleTime'     => 1800,
                                   'allowDuplicateHandles' => 0,
                                   'prefix'       => 'liveuser_');
  $LoMa->permContainer     = array('type'       => 'DB_Complex',
                                   'connection' => $db,
                                   'prefix'     => 'liveuser_');

  define('AREA_NEWS',          1);
  define('RIGHT_NEWS_NEW',     1);
  define('RIGHT_NEWS_CHANGE',  2);
  define('RIGHT_NEWS_DELETE',  3);

  $LoMa->init();
?>