# $Id: Perm_DB_Complex.sql,v 1.7 2003/03/10 20:18:12 krausbn Exp $ 

CREATE TABLE liveuser_applications(
application_id INT UNSIGNED DEFAULT 0 NOT NULL,
application_define_name VARCHAR(20) NOT NULL,
PRIMARY KEY (application_id),
UNIQUE UC_application_define_name (application_define_name));


CREATE TABLE liveuser_areas(
area_id INT UNSIGNED DEFAULT 0 NOT NULL,
application_id INT UNSIGNED NOT NULL,
area_define_name VARCHAR(20) NOT NULL,
PRIMARY KEY (area_id),
UNIQUE UC_area_id (area_id),
INDEX IDX_liveuser_areas_application_id (application_id));


CREATE TABLE liveuser_rights(
right_id INT UNSIGNED DEFAULT 0 NOT NULL,
area_id INT UNSIGNED NOT NULL,
right_define_name VARCHAR(50) NOT NULL,
has_implied CHAR(1) DEFAULT 'N' NOT NULL,
has_level CHAR(1) DEFAULT 'N' NOT NULL,
has_scope CHAR(1) DEFAULT 'N' NOT NULL,
PRIMARY KEY (right_id),
UNIQUE UC_right_id (right_id),
INDEX IDX_liveuser_rights_area_id (area_id));


CREATE TABLE liveuser_right_scopes(
right_id INT UNSIGNED NOT NULL,
type TINYINT UNSIGNED DEFAULT 0 NOT NULL,
INDEX IDX_liveuser_right_scopes_right_id (right_id));


CREATE TABLE liveuser_right_implied(
right_id INT UNSIGNED NOT NULL,
implied_right_id INT UNSIGNED NOT NULL,
INDEX IDX_liveuser_right_implied_right_id (right_id),
INDEX IDX_liveuser_right_implied_implied_right_id (implied_right_id));


CREATE TABLE liveuser_languages(
language_id SMALLINT UNSIGNED DEFAULT 0 NOT NULL,
two_letter_name CHAR(2) DEFAULT NULL,
native_name VARCHAR(50) DEFAULT NULL,
PRIMARY KEY (language_id),
UNIQUE UC_language_id (language_id));


CREATE TABLE liveuser_area_names(
area_id INT UNSIGNED NOT NULL,
language_id SMALLINT UNSIGNED NOT NULL,
area_name VARCHAR(20) NOT NULL,
area_comment VARCHAR(255) DEFAULT NULL,
INDEX IDX_liveuser_area_names_area_id (area_id),
INDEX IDX_liveuser_area_names_language_id (language_id));


CREATE TABLE liveuser_perm_users(
user_id BIGINT UNSIGNED DEFAULT 0 NOT NULL,
auth_user_id VARCHAR(32) DEFAULT 0 NOT NULL,
type TINYINT UNSIGNED DEFAULT NULL,
auth_container_name VARCHAR(32) NOT NULL,
PRIMARY KEY (user_id),
UNIQUE UC_user_id (user_id));


CREATE TABLE liveuser_area_admin_areas(
area_id INT UNSIGNED NOT NULL,
user_id BIGINT UNSIGNED NOT NULL,
INDEX IDX_liveuser_area_admin_areas_area_id (area_id),
INDEX IDX_liveuser_area_admin_areas_user_id (user_id));


CREATE TABLE liveuser_userrights(
user_id BIGINT UNSIGNED NOT NULL,
right_id INT UNSIGNED NOT NULL,
right_level TINYINT UNSIGNED DEFAULT NULL,
INDEX IDX_liveuser_userrights_user_id (user_id),
INDEX IDX_liveuser_userrights_right_id (right_id));


CREATE TABLE liveuser_language_names(
language_id SMALLINT UNSIGNED NOT NULL,
native_language_id SMALLINT UNSIGNED DEFAULT 0 NOT NULL,
native_name VARCHAR(50) DEFAULT NULL,
INDEX IDX_liveuser_language_names_language_id (language_id));


CREATE TABLE liveuser_groups(
group_id INT UNSIGNED DEFAULT 0 NOT NULL,
owner_user_id BIGINT UNSIGNED NOT NULL,
owner_group_id INT UNSIGNED NOT NULL,
is_active CHAR(1) DEFAULT 'N' NOT NULL,
group_define_name VARCHAR(32) NOT NULL,
PRIMARY KEY (group_id),
UNIQUE UC_group_id (group_id),
INDEX IDX_liveuser_groups_owner_user_id (owner_user_id),
INDEX IDX_liveuser_groups_owner_group_id (owner_group_id));


CREATE TABLE liveuser_groupusers(
user_id BIGINT UNSIGNED NOT NULL,
group_id INT UNSIGNED NOT NULL,
INDEX IDX_liveuser_groupusers_user_id (user_id),
INDEX IDX_liveuser_groupusers_group_id (group_id));


CREATE TABLE liveuser_rights_names(
right_id INT UNSIGNED NOT NULL,
language_id SMALLINT UNSIGNED NOT NULL,
right_name VARCHAR(20) NOT NULL,
right_comment VARCHAR(255) DEFAULT NULL,
INDEX IDX_liveuser_rights_names_right_id (right_id),
INDEX IDX_liveuser_rights_names_language_id (language_id));


CREATE TABLE liveuser_group_subgroups(
group_id INT UNSIGNED NOT NULL,
subgroup_id INT UNSIGNED NOT NULL,
INDEX IDX_liveuser_group_subgroups_group_id (group_id),
INDEX IDX_liveuser_group_subgroups_subgroup_id (subgroup_id));


CREATE TABLE liveuser_group_names(
group_id INT UNSIGNED NOT NULL,
language_id SMALLINT UNSIGNED NOT NULL,
group_name VARCHAR(20) NOT NULL,
group_comment VARCHAR(255) DEFAULT NULL,
INDEX IDX_liveuser_group_names_group_id (group_id),
INDEX IDX_liveuser_group_names_language_id (language_id));


CREATE TABLE liveuser_application_names(
application_id INT UNSIGNED NOT NULL,
language_id SMALLINT UNSIGNED NOT NULL,
application_name VARCHAR(20) NOT NULL,
application_comment VARCHAR(255),
INDEX IDX_liveuser_application_names_application_id (application_id),
INDEX IDX_liveuser_application_names_language_id (language_id));


CREATE TABLE liveuser_grouprights(
group_id INT UNSIGNED NOT NULL,
right_id INT UNSIGNED NOT NULL,
right_level TINYINT UNSIGNED DEFAULT NULL,
INDEX IDX_liveuser_grouprights_group_id (group_id),
INDEX IDX_liveuser_grouprights_right_id (right_id));